### Function

# Gimp gradient_segment_set_left_pos

#### Declaration [src]

    gboolean
    gimp_gradient_segment_set_left_pos (
      const gchar* name,
      gint segment,
      gdouble pos,
      gdouble* final_pos
    )

#### Description [src]

Sets the left endpoint position of the specified segment

This procedure sets the left endpoint position of the specified segment of the specified gradient. The final position will be between the position of the middle point to the left to the middle point of the current segment. This procedure returns the final position.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The gradient name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`segment` | `gint`
| The index of the segment within the gradient.
`pos` | `gdouble`
| The position to set the guidepoint to.
`final_pos` | `gdouble*`
| The return position.
| The argument will be set by the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.